%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           itaka
Version:        0.2.2
Release:        3%{?dist}
Summary:        On-demand screen capture server

Group:          Applications/Communications
License:        GPLv2+ and CC-BY-SA
URL:            http://sourceforge.net/projects/%{name}
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
Requires:       pygtk2
Requires:       python-twisted-core python-twisted-web

%description
Itaka is an on-demand screen capture server featuring a polished
and easy to use interface with a robust backend HTTP server.
The concept is simple: a request to your computer by a user
displays an image of your screen in the user's web browser. 

%prep
%setup -q
echo %{python_sitelib}
sed -i -e "/gzip -9 -c share\/itaka.1 > share\/itaka.1.gz/d" Makefile
sed -i -e "s/\$(INSTALL) -m 644 share\/itaka.1.gz \$(MANDIR)/\$(INSTALL) -m 644 share\/itaka.1 \$(MANDIR)/" Makefile
sed -i -e "/mv config.py.old config.py/d" Makefile

%build

%install
rm -rf $RPM_BUILD_ROOT
sed -i -e s@"\$(PREFIX)/lib/itaka"@$RPM_BUILD_ROOT/%{python_sitelib}/%{name}@ Makefile
sed -i -e s@"\$(LIBDIR)/itaka.py \$(BINDIR)/itaka"@"../../%{python_sitelib}/%{name}/%{name}.py $RPM_BUILD_ROOT/%{_bindir}/%{name}"@ Makefile
make install PREFIX=$RPM_BUILD_ROOT%{_prefix} REPLACEIMAGESDIR=%{_datadir}/%{name}/images
desktop-file-install --vendor=""   \
       --remove-category="Application"  \
       --dir=%{buildroot}%{_datadir}/applications/   \
       %{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYRIGHT DOCUMENTATION HACKING README 
%{_bindir}/%{name}
%{_datadir}/%{name}
%{python_sitelib}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/pixmaps/%{name}.png



%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Aug  7 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.2.2-1
- Update to 0.2.2
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.1-4
- Rebuild for Python 2.6
* Sat Nov 22 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.2.1-3
- Fix package summary
* Tue Aug 12 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.2.1-2
- licence updated
- directories own fix
- removed useless Require python >= 2.3
- using brp-compress step instead of gzip for man page
* Mon Jun 30 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.2.1-1
- rebuild for 0.2.1
* Mon Jun  9 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.2-1
- Initital build
